Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.statcato.statistics.inferential
Class CI2PopMeanSigmaUnknown

    java.lang.Object
      org.statcato.statistics.inferential.ConfidenceInterval
          org.statcato.statistics.inferential.CI2PopMeanSigmaUnknown

    public class CI2PopMeanSigmaUnknown

extends ConfidenceInterval

Confidence interval class for two population mean, sigma (population standard deviation) unknown.

Since:
  1.0
Version:
  %I%, %G%
Author:
  Margaret Yau

Field Summary

Fields inherited from class org.statcato.statistics.inferential.ConfidenceInterval
`center, confidenceLevel`

Constructor Summary
`CI2PopMeanSigmaUnknown(double confidenceLevel, int n1, int n2, double xBar1, double xBar2, double s1, double s2, boolean varEqual)` Constructor

Method Summary
`double` | `criticalValue()` Returns the critical value corresponding to the given confidence level.
`int` | `DOF()` Returns the degrees of freedom.
`double` | `marginOfError()` Returns the margin of error.

Methods inherited from class org.statcato.statistics.inferential.ConfidenceInterval
`center, lowerLimit, toString, upperLimit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CI2PopMeanSigmaUnknown

    public CI2PopMeanSigmaUnknown(double confidenceLevel,
                                  int n1,
                                  int n2,
                                  double xBar1,
                                  double xBar2,
                                  double s1,
                                  double s2,
                                  boolean varEqual)

  Constructor

  Parameters:
    `confidenceLevel` - confidence level, between 0 and 1
    `n1` - sample size 1
    `n2` - sample size 2
    `xBar1` - sample mean 1
    `xBar2` - sample mean 2
    `s1` - sample standard deviation 1
    `s2` - sample standard deviation 2
    `varEqual` - whether the population variances are assumed to be equal

Method Detail

### marginOfError

    public double marginOfError()

  Returns the margin of error. If population variances are assumed equal, E = t_(alpha/2) * sqrt(sp^2 / n1 + sp^2 / n2), where sp^2 = [(n1 - 1)*s1^2 + (n2 - 1)*s2^2] / [n1 + n2 - 2] If population variances are not assumed equal, E = t_(alpha/2) * sqrt(s1^2 / n1 + s2^2 / n2)

  Specified by:
    `marginOfError` in class `ConfidenceInterval`
  Returns:
    margin of error

### criticalValue

    public double criticalValue()

  Returns the critical value corresponding to the given confidence level. Uses Student's t distribution to find t_(alpha/2), where alpha is the significance level (1 - confidence level).

  Specified by:
    `criticalValue` in class `ConfidenceInterval`
  Returns:
    critical value

### DOF

    public int DOF()

  Returns the degrees of freedom.

  Returns:
    degrees of freedom

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD